summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLucki2020-02-11 00:05:24 +0100
committerLucki2020-08-02 04:22:13 +0200
commit61a4d2a3cc302928e7c60f887f184faa3ae0ccd6 (patch)
tree7f3ff60b3d25246faf1cc5e173a78e8a78412189
parent0cf1f1c52d00b90dde47d37b1feb4dcd4c1a7e01 (diff)
downloadaur-61a4d2a3cc302928e7c60f887f184faa3ae0ccd6.tar.gz
upgpkg: clonepoint-git r72.a9bb2a1-1
upgpkg: fife 0.4.2-2 upgpkg: gfxtablet-git 50.128060d-2 upgpkg: gtksourceview-lolcode 0.1-3 upgpkg: lci-git 0.10.5.r27.g6762b72-1 upgpkg: lix-git 0.9.29.r1572290530.9b38eb65-1 upgpkg: lix 0.9.30-1 upstream release upgpkg: londonlaw-git 0.3.0_pre2.r1.g35d419f-4 upgpkg: opsu-git 0.16.1.r6.g28003bfb-1 upgpkg: opsu 0.16.1-1 upstream release upgpkg: smokinguns-git 1.1.r859.gf5d9ecf2-7 upgpkg: unknown-horizons-git 2019.1.r109.gac387940c-1 upgpkg: unknown-horizons 2019.1-4 upgpkg: yaup-git 0.1.r4.g7ee3fdb-1 upgpkg: clonepoint-git r72.a9bb2a1-1 upgpkg: fife 0.4.2-2 upgpkg: gfxtablet-git 50.128060d-2 upgpkg: gtksourceview-lolcode 0.1-3 upgpkg: lci-git 0.10.5.r27.g6762b72-1 upgpkg: lix-git 0.9.29.r1572290530.9b38eb65-1 upgpkg: lix 0.9.30-1 upstream release upgpkg: londonlaw-git 0.3.0_pre2.r1.g35d419f-4 upgpkg: opsu-git 0.16.1.r6.g28003bfb-1 upgpkg: opsu 0.16.1-1 upstream release upgpkg: smokinguns-git 1.1.r859.gf5d9ecf2-7 upgpkg: unknown-horizons-git 2019.1.r109.gac387940c-1 upgpkg: unknown-horizons 2019.1-4 upgpkg: yaup-git 0.1.r4.g7ee3fdb-1 shellcheck + formatting
-rw-r--r--PKGBUILD20
1 files changed, 10 insertions, 10 deletions
diff --git a/PKGBUILD b/PKGBUILD
index f699023d69c..e0a117a117e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,6 +2,7 @@
# Contributor: Chris Oelmueller <chris.oelmueller@gmail.com>
# Contributor: apaugh
# Contributor: speps <speps at aur dot archlinux dot org>
+# shellcheck disable=SC2034,2154
pkgname=fife
pkgver=0.4.2
@@ -17,11 +18,11 @@ source=("$pkgname-$pkgver.src.tar.gz::https://github.com/$_githubname/$_githubna
"$pkgname-[PATCH]-removed-flags-that-are-not-supported-with-swig-4.0.patch::https://github.com/$_githubname/$_githubname/commit/d14f232f4cd9a00b05d6872957070e8c020f515d.patch"
"$pkgname-[PATCH]-SyntaxWarning:-\"is\"-with-a-literal.patch::https://github.com/$_githubname/$_githubname/commit/454a981a777f141db999809944abbc64ed15c41f.patch")
sha512sums=('2b92e936d3f900532c5dee235a217c338941c44da479dceb3e48b3e8b93a402b31dc5501a6533391a01af53d6dbd51b6793c74e8ac81301ae6f1fa18271761a4'
- 'd5894f7708030ac6f8cc7612b4a29c1fb68aa2d545362017232874579661097ed1257b7de297489a10951716033d522d4ee6c17033009e2a4eaf3cfbdc26091d'
- '59b47dabc2b02a807c978837ab47498dca140f156159ada2c2cdbcf7a912bd95fcaf622bb92bcd585b1c722d4023f50330c4320d59a76e4ba12bb344da43996c')
+ 'd5894f7708030ac6f8cc7612b4a29c1fb68aa2d545362017232874579661097ed1257b7de297489a10951716033d522d4ee6c17033009e2a4eaf3cfbdc26091d'
+ '59b47dabc2b02a807c978837ab47498dca140f156159ada2c2cdbcf7a912bd95fcaf622bb92bcd585b1c722d4023f50330c4320d59a76e4ba12bb344da43996c')
prepare() {
- cd "$_githubname-$pkgver"
+ cd "$_githubname-$pkgver" || exit
patch --forward --strip=1 \
--input="$srcdir/$pkgname-[PATCH]-removed-flags-that-are-not-supported-with-swig-4.0.patch"
patch --forward --strip=1 \
@@ -29,14 +30,14 @@ prepare() {
}
build() {
- cd "$_githubname-$pkgver"
+ cd "$_githubname-$pkgver" || exit
[[ -d "build" ]] && rm -r "build"
- mkdir -p "build" && cd "build"
+ mkdir -p "build" && cd "build" || exit
cmake \
- -DCMAKE_INSTALL_PREFIX:PATH=/usr \
- -Wno-dev \
- ..
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -Wno-dev \
+ ..
make
# If compilation seems to stall at 99% for ages, do not abort!
@@ -45,7 +46,6 @@ build() {
}
package() {
- cd "$_githubname-$pkgver"
- cd "build"
+ cd "$_githubname-$pkgver/build" || exit
make DESTDIR="$pkgdir" install
}